from rest_framework import serializers
from django.contrib.auth import get_user_model
from contactus.models import Country,City,ContactUs
class LoginSerializer(serializers.ModelSerializer):
  
    class Meta:
        model=get_user_model()
        fields="__all__"
        # exclude=('password',)
       
class CountrySerializer(serializers.ModelSerializer):
    
    class Meta:
        model = Country
        fields = "__all__"
        read_only_fields = ['created_at', 'updated_at']

class CitySerializer(serializers.ModelSerializer):
    
    country_id = serializers.PrimaryKeyRelatedField(queryset=Country.objects.all(), source='country')  # For saving blog_id
    country = CountrySerializer(read_only=True)  # Nested blog details for the response

    class Meta:
        model = City
        fields = ['id', 'name', 'country_id', 'country', 'status', 'created_at', 'updated_at']
        depth = 1

class ContactusSerializer(serializers.ModelSerializer):
    # country_id = serializers.PrimaryKeyRelatedField(queryset=Country.objects.all(), source='country')  # For saving blog_id
    country = CountrySerializer(read_only=True)  # Nested blog details for the response

    # city_id = serializers.PrimaryKeyRelatedField(queryset=City.objects.all(), source='city')  # For saving blog_id
    city = CitySerializer(read_only=True)  # Nested blog details for the response

    class Meta:
        model = ContactUs
        fields = ['id', 'full_name','mobile_no','email','message','country', 'city','created_at', 'updated_at']
        read_only_fields = ['created_at', 'updated_at']